Subject: [Isms] ISMS #4: UTF-8 and SnmpAdminString consistency

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 23 Jan 2008 21:47:37 +0100

ISMS #4: UTF-8 and SnmpAdminString consistency
Status: open

Dave Harrington wrote:

    need to verify UTF-8 references and SnmpAdminsString are consistent

It is unclear what the concern is here.

Q4.1: What is the precise concern here?

Q4.2: If there is an issue, is there a UTF-8 person who can help us
      to get this properly resolved?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms

---

From: "David Harrington" <[email-masked]>
Date: Wed, 23 Jan 2008 16:32:29 -0500

Hi,

UTF-8 was defined in an RFC, and SnmpAdminString references that RFC.
Somebody pointed out that the original RFC was obsoleted(?) and we
should reference the updated RFC. But there are significant
differences between the two UTF8 RFCs, and they may impact the
definition of SnmpAdminString. So it becomes unclear whether our
reference should remain to the old RFC, or to the new RFC for UTF8.

The differences are over my head, and we need a UTF8 expert to look at
the differences and look at SnmpAdminString and advise us.

dbh 

> -----Original Message-----
> From: Juergen Schoenwaelder 
> [mailto:[email-masked]] 
> Sent: Wednesday, January 23, 2008 3:48 PM
> To: [email-masked]
> Subject: [Isms] ISMS #4: UTF-8 and SnmpAdminString consistency
>

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Wed, 23 Jan 2008 16:54:59 -0500

> the differences and look at SnmpAdminString and advise us.

UTF-8 was originally defined in RFC2044, UTR #4, and ISO-10464-1 annex R.

RFC2044 was obsoleted by RFC2279, which notes that a description can also
be found in Unicode 2.0.

RFC2279 was obsoleted by RFC3629.

To which of these does the definition of SnmpAdminString refer?

-- Jeff

---

From: "David Harrington" <[email-masked]>
Date: Wed, 23 Jan 2008 17:13:14 -0500

The definition of SnmpAdminString (in RFC3411) refers to RFC2279.

dbh 

> From: Jeffrey Hutzelman [mailto:[email-masked]] 
> Sent: Wednesday, January 23, 2008 4:55 PM
> To: David Harrington; [email-masked]; 
> [email-masked]
> Cc: [email-masked]
> Subject: RE: [Isms] ISMS #4: UTF-8 and SnmpAdminString consistency
>

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Wed, 23 Jan 2008 17:37:58 -0500

> The definition of SnmpAdminString (in RFC3411) refers to RFC2279.

Ok, So we're concerned about the differences described in RFC3629 section 
12.  Many of those are not relevant or don't create incompatibilities; for 
example, the inclusion of ABNF describing valid UTF-8, expanded security 
consideratons, and registation of MIME charsets.

There are some issues which are relevant:

- Restricting the range of characters to U+0000-U+10FFFF, which is not
  a practical problem because no such characters exist.  This appears
  to be an artifact of restating UTF-8 as an encoding of Unicode
  characters rather than of UCS4.

- The requirement that invalid sequences (particularly, non-minimal
  encodings) be rejected.  These sequences were never valid and will
  not be produced by a correct implementation of any version of UTF-8,
  but RFC2279 only RECOMMENDED that they be rejected, whereas RFC3629
  REQUIRES doing so.

Reading the SSHTM draft, I see the issue is over whether SSH usernames are 
compatible with SnmpAdminString, given that the former are defined in terms 
of RFC3629 while the latter uses RFC2979.  My answer is that this should 
not be a problem; aside from the question of characters beyond U+10FFFF (of 
which there are none), any string valid for the one is valid for the other, 
and has the same meaning.

-- Jeff

---

From: "David Harrington" <[email-masked]>
Date: Wed, 23 Jan 2008 17:57:44 -0500

Then I will assume there are no possible incompatibilities between SSH
user_name and SnmpAdminStrings. 

Thank you.

dbh

> Sent: Wednesday, January 23, 2008 5:38 PM